Package fr.gouv.vitam.common.database.utils

# Class AccessContractRestrictionHelper

java.lang.Object
fr.gouv.vitam.common.database.utils.AccessContractRestrictionHelper

public final class AccessContractRestrictionHelper extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static com.fasterxml.jackson.databind.JsonNode`
  `applyAccessContractExceptRuleRestrictionsForObjectGroupForSelect(com.fasterxml.jackson.databind.JsonNode queryDsl, AccessContractModel accessContract)`
  SELECT - OBJECT GROUP (without rule restriction): Apply access contract restriction except rule restrictions for object group for select request
  `static com.fasterxml.jackson.databind.JsonNode`
  `applyAccessContractRestrictionForObjectGroupForSelect(com.fasterxml.jackson.databind.JsonNode queryDsl, AccessContractModel accessContract)`
  SELECT - OBJECT GROUP: Apply access contract restriction for object group for select request
  `static com.fasterxml.jackson.databind.JsonNode`
  `applyAccessContractRestrictionForUnitForSelect(com.fasterxml.jackson.databind.JsonNode queryDsl, AccessContractModel accessContract)`
  SELECT - UNIT: Apply access contract restriction for archive unit for select request
  `static com.fasterxml.jackson.databind.JsonNode`
  `applyAccessContractRestrictionForUnitForUpdate(com.fasterxml.jackson.databind.JsonNode queryDsl, AccessContractModel accessContract)`
  UPDATE - UNIT: Apply access contract restriction for archive unit for update request
  `static AccessRightType`
  `getAccessRightType(AccessContractModel accessContract)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### applyAccessContractRestrictionForUnitForSelect

    public static com.fasterxml.jackson.databind.JsonNode applyAccessContractRestrictionForUnitForSelect(com.fasterxml.jackson.databind.JsonNode queryDsl, AccessContractModel accessContract) throws InvalidParseOperationException, InvalidCreateOperationException
    SELECT - UNIT: Apply access contract restriction for archive unit for select request
    Throws:
      `InvalidParseOperationException`
      `InvalidCreateOperationException`

  - ### applyAccessContractRestrictionForObjectGroupForSelect

    public static com.fasterxml.jackson.databind.JsonNode applyAccessContractRestrictionForObjectGroupForSelect(com.fasterxml.jackson.databind.JsonNode queryDsl, AccessContractModel accessContract) throws InvalidParseOperationException, InvalidCreateOperationException
    SELECT - OBJECT GROUP: Apply access contract restriction for object group for select request
    Throws:
      `InvalidParseOperationException`
      `InvalidCreateOperationException`

  - ### applyAccessContractExceptRuleRestrictionsForObjectGroupForSelect

    public static com.fasterxml.jackson.databind.JsonNode applyAccessContractExceptRuleRestrictionsForObjectGroupForSelect(com.fasterxml.jackson.databind.JsonNode queryDsl, AccessContractModel accessContract) throws InvalidParseOperationException, InvalidCreateOperationException
    SELECT - OBJECT GROUP (without rule restriction): Apply access contract restriction except rule restrictions for object group for select request
    Throws:
      `InvalidParseOperationException`
      `InvalidCreateOperationException`

  - ### applyAccessContractRestrictionForUnitForUpdate

    public static com.fasterxml.jackson.databind.JsonNode applyAccessContractRestrictionForUnitForUpdate(com.fasterxml.jackson.databind.JsonNode queryDsl, AccessContractModel accessContract) throws InvalidParseOperationException, InvalidCreateOperationException
    UPDATE - UNIT: Apply access contract restriction for archive unit for update request
    Throws:
      `InvalidParseOperationException`
      `InvalidCreateOperationException`

  - ### getAccessRightType

    public static AccessRightType getAccessRightType(AccessContractModel accessContract)